Notes de mise à jour de Cloud Manager dans Adobe Experience Manager as a Cloud Service version 2020.7.0

Cette page présente les notes de mise à jour de Cloud Manager dans AEM as a Cloud Service 2020.7.0.

Date de publication

La date de publication de Cloud Manager dans AEM as a Cloud Service 2020.7.0 est le 9 juillet 2020.

Nouveautés

  • La page Environnements a été repensée.

  • Les environnements en veille affichent désormais un état discret dans Cloud Manager.

  • Le nombre de variables d’environnement par environnement a été porté à 200.

  • Les pipelines de Cloud Manager prennent désormais en charge les variables et les secrets définis par le client.

    Pour plus d’informations, consultez Variables de pipeline.

  • Les référentiels Maven privés liés à l’authentification sont désormais pris en charge.

  • Le conteneur de création Cloud Manager prend désormais en charge Java 8 et Java 11.
    Consultez Utilisation de la prise en charge de Java 11 pour plus d’informations.

Correctifs

  • Le lien entre Cloud Manager et Developer Console était actif avant la création complète des environnements alors qu’il ne devait pas l’être.

  • Le lien direct vers Developer Console à partir de Cloud Manager n’affichait pas l’option permettant de mettre en veille/réactiver un environnement de programme Sandbox.

  • Les options Annuler et Enregistrer sur la page Modification d’un pipeline hors production n’étaient pas toujours visibles.

  • Certaines erreurs liées au u processus de qualité du code peuvent entraîner la génération incorrecte du fichier journal.

  • Lors de la création d’un programme, le nom suggéré renvoyait parfois un duplicata de nom de programme existant.

  • Certains journaux d’étape de pipeline volumineux n’ont pas pu être téléchargés de manière cohérente via l’interface utilisateur.

  • La validation des noms d’environnement comportait une erreur de décalage d’une unité.

  • La page Environnements affichait parfois des segments de publication et de répartiteur alors qu’aucun segment n’était présent.

Problèmes connus

  • En raison d’un changement dans le mode de calcul de la couverture du code, la version minimale du plug-in Jacoco est désormais 0.7.5.201505241946 (publiée en mai 2015). Les clients référençant explicitement une ancienne version reçoivent un message d’erreur dans le processus de qualité du code.

Sur cette page